using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ProjectBase.Data.BaseDAL;

namespace SIASUN.Autopilot.Model
{
    /// <summary>
    /// 记录操作日志的数据表配置
    /// </summary> 
    [Serializable]
    public class MoLogOperationSetting : BaseEntity
    {
        #region Field Members

        private long m_LogID = 0; // 日志ID          
        private bool m_Forbid = false; //是否禁用          
        private string m_TableName; //数据库表名称          
        private bool m_InsertLog = false; //记录插入日志          
        private bool m_DeleteLog = false; //记录删除日志          
        private bool m_UpdateLog = false; //记录更新日志              
        private string m_CreatorAccount; //创建人账号          
        private string m_CreatorName; //创建人名称          
        private DateTime m_CreateTime = System.DateTime.Now; //创建时间          
        private string m_EditorAccount; //编辑人账号          
        private string m_EditorName; //编辑人名称          
        private DateTime m_EditTime = System.DateTime.Now; //编辑时间            

        #endregion

        #region Property Members

        /// <summary>
        /// // 日志ID
        /// </summary>
        public virtual long ID
        {
            get
            {
                return this.m_LogID;
            }
            set
            {
                this.m_LogID = value;
            }
        }

        /// <summary>
        /// 是否禁用
        /// </summary>
        public virtual bool Forbid
        {
            get
            {
                return this.m_Forbid;
            }
            set
            {
                this.m_Forbid = value;
            }
        }

        /// <summary>
        /// 数据库表名称
        /// </summary>
        public virtual string TableName
        {
            get
            {
                return this.m_TableName;
            }
            set
            {
                this.m_TableName = value;
            }
        }

        /// <summary>
        /// 记录插入日志
        /// </summary>
        public virtual bool InsertLog
        {
            get
            {
                return this.m_InsertLog;
            }
            set
            {
                this.m_InsertLog = value;
            }
        }

        /// <summary>
        /// 记录删除日志
        /// </summary>
        public virtual bool DeleteLog
        {
            get
            {
                return this.m_DeleteLog;
            }
            set
            {
                this.m_DeleteLog = value;
            }
        }

        /// <summary>
        /// 记录更新日志
        /// </summary>
        public virtual bool UpdateLog
        {
            get
            {
                return this.m_UpdateLog;
            }
            set
            {
                this.m_UpdateLog = value;
            }
        }

        /// <summary>
        /// 创建人账号
        /// </summary>
        public virtual string CreatorAccount
        {
            get
            {
                return this.m_CreatorAccount;
            }
            set
            {
                this.m_CreatorAccount = value;
            }
        }

        /// <summary>
        /// 创建人名称
        /// </summary>
        public virtual string CreatorName
        {
            get
            {
                return this.m_CreatorName;
            }
            set
            {
                this.m_CreatorName = value;
            }
        }

        /// <summary>
        /// 创建时间
        /// </summary>
        public virtual DateTime CreateTime
        {
            get
            {
                return this.m_CreateTime;
            }
            set
            {
                this.m_CreateTime = value;
            }
        }

        /// <summary>
        /// 编辑人账号
        /// </summary>
        public virtual string EditorAccount
        {
            get
            {
                return this.m_EditorAccount;
            }
            set
            {
                this.m_EditorAccount = value;
            }
        }

        /// <summary>
        /// 编辑人名称
        /// </summary>
        public virtual string EditorName
        {
            get
            {
                return this.m_EditorName;
            }
            set
            {
                this.m_EditorName = value;
            }
        }

        /// <summary>
        /// 编辑时间
        /// </summary>
        public virtual DateTime EditTime
        {
            get
            {
                return this.m_EditTime;
            }
            set
            {
                this.m_EditTime = value;
            }
        }


        #endregion
    }
}
